#version 3.7;

#default{ finish{ ambient 0 } }

#declare UseRad = 2;

global_settings{
   assumed_gamma 1.0
   #if (UseRad)
      radiosity {
         #if (UseRad=2)
            count 32
            nearest_count 1
            error_bound .1
            gray_threshold 0
            recursion_limit 2
            pretrace_end 2/256
            normal on
         #else
            pretrace_start 1
            pretrace_end 1
            gray_threshold 1
            always_sample off
            normal on
         #end
      }
   #end
}

light_source{ <100, 50,0>, rgb 2
  area_light x*5 z*5 8, 8 adaptive 2 orient circular
}
light_source{ <-100, 25, -100>, srgb <210,220,230>/255*0.5 shadowless}

camera{
   //orthographic
   right x*16/9 up y*1
   location<0,2,-10>
   look_at <0,-1,0>
   angle 37
}   

#declare T_Floor = texture{
  pigment{
    planar
    scale 4
    turbulence 1 lambda 3
    color_map{[0 rgb <0.8, 0.65, 0.25>*0.5][1 rgb <0.8, 0.7, 0.35>*0.5]}
    }
  normal{
    average 
    normal_map {
      [2
          granite -.1 poly_wave .5
          accuracy .001
      ]
      [1
         agate 0.2 scale 2
      ]
    }
    }
  }


plane { y, -1.5 hollow texture { T_Floor } }

#include "bench.inc"
object { Bench }